<script lang="ts">
  import type { ApiShape } from 'shared/model/shape'

  export let data: ApiShape
</script>

{#if 'size' in data}
  <h3>This is a square!</h3>
  <p><em>Size:</em> {data.size}</p>
{:else}
  <h3>This is a triangle!</h3>
  <p><em>Base:</em> {data.base}</p>
  <p><em>Height:</em> {data.height}</p>
{/if}
